package com.example.testes

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.LayoutInflater
import androidx.core.content.ContextCompat
import com.bumptech.glide.Glide
import com.example.testes.databinding.ActivityImageViewerBinding
import com.example.testes.databinding.ActivityMainBinding

class ImageViewerActivity : AppCompatActivity() {
    lateinit var binding: ActivityImageViewerBinding
    lateinit var local_image: BooruImage

    companion object {
        lateinit var image: BooruImage
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityImageViewerBinding.inflate(layoutInflater)
        setContentView(binding.root)
        local_image = image.clone()
        Glide.with(this)
            .load(local_image.file_url)
            .placeholder(ContextCompat.getDrawable(this, R.drawable.ic_launcher_foreground))
            .into(binding.image)
    }
}